package com.usoftchina.bi.server.model.vo.configVo;

public class ColumnRenameInfo {
    private String columnName;
    private String columnLable;
    private String columnType;
    private String dataType;
    private String isGroup;              //是否可分组
    private String isSubsection;         //是否可分段
    private String isOpen;
    private String remarks;
    private String isFilter;

    public String getIsFilter() {
        return isFilter;
    }

    public void setIsFilter(String isFilter) {
        this.isFilter = isFilter;
    }

    public String getColumnName() {
        return columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public String getColumnLable() {
        return columnLable;
    }

    public void setColumnLable(String columnLable) {
        this.columnLable = columnLable;
    }

    public String getColumnType() {
        return columnType;
    }

    public void setColumnType(String columnType) {
        this.columnType = columnType;
    }

    public String getIsGroup() {
        return isGroup;
    }

    public void setIsGroup(String isGroup) {
        this.isGroup = isGroup;
    }

    public String getIsSubsection() {
        return isSubsection;
    }

    public void setIsSubsection(String isSubsection) {
        this.isSubsection = isSubsection;
    }

    public String getIsOpen() {
        return isOpen;
    }

    public void setIsOpen(String isOpen) {
        this.isOpen = isOpen;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    @Override
    public String toString() {
        return "ColumnRenameInfo{" +
                "columnName='" + columnName + '\'' +
                ", columnLable='" + columnLable + '\'' +
                ", columnType='" + columnType + '\'' +
                ", dataType='" + dataType + '\'' +
                ", isGroup='" + isGroup + '\'' +
                ", isSubsection='" + isSubsection + '\'' +
                ", isOpen='" + isOpen + '\'' +
                ", remarks='" + remarks + '\'' +
                '}';
    }
}
